Page MenuHomePhabricator

[X86][AMX] Add description of x86_amx to LangRef.
ClosedPublic

Authored by LuoYuanke on Apr 7 2021, 5:59 AM.

Diff Detail

Event Timeline

LuoYuanke created this revision.Apr 7 2021, 5:59 AM
LuoYuanke requested review of this revision.Apr 7 2021, 5:59 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 7 2021, 5:59 AM
LuoYuanke updated this revision to Diff 336013.Apr 7 2021, 11:41 PM

Reformat it.

LuoYuanke edited reviewers, added: fhahn; removed: Florian.Apr 8 2021, 12:17 AM
fhahn added a comment.Apr 12 2021, 2:54 PM

Thanks for getting this started!

llvm/docs/LangRef.rst
3251

II think it is not quite clear whether the supported operations are instructions or intrinsics. could you clarify? Does the verifier reject unsupported instructions with operands of x86_amx type?

LuoYuanke added inline comments.Apr 12 2021, 11:44 PM
llvm/docs/LangRef.rst
3251

II think it is not quite clear whether the supported operations are instructions or intrinsics. could you clarify? Does the verifier reject unsupported instructions with operands of x86_amx type?

We didn't verify the unsupported instructions with operands of x86_amx type. I'll create a patch to do the verification.

Address Florian and Pengfei's comments.

LuoYuanke updated this revision to Diff 337306.Apr 13 2021, 6:46 PM

Address Pengfei's comments. Add amx description to BitCodeFormat.html.

pengfei accepted this revision.Apr 13 2021, 6:47 PM

LGTM.

This revision is now accepted and ready to land.Apr 13 2021, 6:47 PM
LuoYuanke added inline comments.Apr 14 2021, 5:22 AM
llvm/docs/LangRef.rst
3251

The verification patch was uploaded at https://reviews.llvm.org/D100472.

This revision was automatically updated to reflect the committed changes.